## bugzilla 2.16.7

=== Makefile ===
#$Id: Makefile,v 1.1.6.6 2002/09/04 22:22:49 jetto Exp $
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is the Bugzilla Bug Tracking System.
#
# The Initial Developer of the Original Code is Netscape Communications
# Corporation. Portions created by Netscape are

static= 1x1.gif \
bugwritinghelp.html \
bug_status.html \
confirmhelp.html \
helpemailquery.html \
help.html \
how_to_mail.html \
notargetmilestone.html \
votehelp.html \
quicksearch.html \
quicksearchhack.html \
robots.txt \
quicksearch.js \
localconfig.js \
ant.jpg \
bugzilla.dtd \
index.html

cgi= attachment.cgi \
buglist.cgi \
changepassword.cgi \
createaccount.cgi \
colchange.cgi \
describecomponents.cgi \
describekeywords.cgi \
doeditparams.cgi \
duplicates.cgi \
editattachstatuses.cgi \
editcomponents.cgi \
editgroups.cgi \
editkeywords.cgi \
editmilestones.cgi \
editparams.cgi \
editproducts.cgi \
editusers.cgi \
editversions.cgi \
enter_bug.cgi \
index.cgi \
long_list.cgi \
process_bug.cgi \
post_bug.cgi \
sanitycheck.cgi \
show_activity.cgi \
show_bug.cgi \
showattachment.cgi \
showdependencygraph.cgi \
showdependencytree.cgi \
sidebar.cgi \
query.cgi \
queryhelp.cgi \
quips.cgi \
relogin.cgi \
reports.cgi \
token.cgi \
userprefs.cgi \
votes.cgi \
xml.cgi 

lib_noexe=CGI.pl \
Bug.pm \
RelationSet.pm \
Token.pm \
Attachment.pm \
bug_form.pl \
defparams.pl \
globals.pl

lib_exe=checksetup.pl \
collectstats.pl \
importxml.pl \
processmail \
syncshadowdb \
whineatnews.pl \
move.pl 

data_dir= shadow \
data

config_files= localconfig

other= README \
docs \
contrib


INSTALL=/usr/bin/install
PERL=/usr/bin/perl

DIR_MODE= 0755

DESTDIR =

#used for the substition of the dash bang string
TMP_INSTALL_DIR=/tmp/bugzilla

STATIC_DIR= 
STATIC_MODE= 0644
STATIC_GROUP=root
STATIC_OWNER=root

CGI_DIR= 
CGI_MODE= 0754
CGI_GROUP=root
CGI_OWNER=root

LIB_DIR=
LIB_EXE_MODE= 0755
LIB_NOEXE_MODE= 0644
LIB_GROUP=root
LIB_OWNER=root

DATA_DIR_PARENT= 
DATA_DIR_MODE= 0755
DATA_DIR_GROUP=www-data
DATA_DIR_OWNER=www-data

TEMPLATE_DIR=
TEMPLATE_DIR_MODE= 0755
TEMPLATE_MODE= 0644
TEMPLATE_GROUP=root
TEMPLATE_OWNER=root
TEMPLATE_FILES=$(shell find template -type f | sed -e 's!template/!!')


#install: sub_dashbang install_static install_cgi install_lib install_data_dir \
#         install_config_files install_other

install: sub_dashbang install_static install_cgi install_lib install_data_dir \
	 remove_tmp_install_dir install_template

list_files:
	@echo $(static) $(cgi) $(lib_noexe) $(lib_exe) $(TEMPLATE_FILES)

#substitute de the perl path in the #! string
sub_dashbang:
	$(INSTALL) -d $(TMP_INSTALL_DIR)
	for FIC in $(cgi) $(lib_exe) $(lib_noexe) ; do \
		sed -e '1s:#!.*perl:#!$(PERL):' $$FIC >$(TMP_INSTALL_DIR)/$$FIC; \
	done

remove_tmp_install_dir:
	-rm -rf $(TMP_INSTALL_DIR)

install_static:
	$(INSTALL) -d -m $(DIR_MODE) -o $(STATIC_OWNER)  -g $(STATIC_GROUP) $(DESTDIR)$(STATIC_DIR)
	for FIC in $(static) ; do \
		$(INSTALL) -m $(STATIC_MODE) -o $(STATIC_OWNER) -g $(STATIC_GROUP) $$FIC $(DESTDIR)$(STATIC_DIR) ;\
	done
	$(INSTALL) -d -m $(DIR_MODE) -o $(STATIC_OWNER)  -g $(STATIC_GROUP) $(DESTDIR)$(STATIC_DIR)/css
	$(INSTALL) -m $(STATIC_MODE) -o $(STATIC_OWNER) -g $(STATIC_GROUP) css/* $(DESTDIR)$(STATIC_DIR)/css
	
install_cgi:
	$(INSTALL) -d -m $(DIR_MODE) -o $(CGI_OWNER) -g $(CGI_GROUP) $(DESTDIR)$(CGI_DIR)
	for FIC in $(cgi) ; do \
		$(INSTALL) -m $(CGI_MODE) -o $(CGI_OWNER) -g $(CGI_GROUP) $(TMP_INSTALL_DIR)/$$FIC $(DESTDIR)$(CGI_DIR) ;\
	done

install_lib:
	$(INSTALL) -d -m $(DIR_MODE) -o $(LIB_OWNER) -g $(LIB_GROUP) $(DESTDIR)$(LIB_DIR)
	for FIC in $(lib_noexe) ; do \
		$(INSTALL) -m $(LIB_NOEXE_MODE) -o $(LIB_OWNER) -g $(LIB_GROUP) $(TMP_INSTALL_DIR)/$$FIC $(DESTDIR)$(LIB_DIR) ;\
	done ; \
	for FIC in $(lib_exe) ; do \
		$(INSTALL) -m $(LIB_EXE_MODE) -o $(LIB_OWNER) -g $(LIB_GROUP) $(TMP_INSTALL_DIR)/$$FIC $(DESTDIR)$(LIB_DIR) ;\
	done


install_data_dir:
	$(INSTALL) -d -m $(DIR_MODE) -o $(DATA_DIR_OWNER) -g $(DATA_DIR_GROUP) $(DESTDIR)$(DATA_DIR_PARENT)
	for FIC in $(data_dir) ; do \
		$(INSTALL) -d -m $(DATA_DIR_MODE) -o $(DATA_DIR_OWNER) -g $(DATA_DIR_GROUP) $(DESTDIR)$(DATA_DIR_PARENT)/$$FIC ;\
	done

install_template:
	for DIR in $(sort $(dir $(TEMPLATE_FILES) ) ) ; do \
		$(INSTALL) -d -m $(TEMPLATE_DIR_MODE) -o $(TEMPLATE_OWNER) -g $(TEMPLATE_GROUP) $(DESTDIR)$(TEMPLATE_DIR)/$$DIR ; \
	done
	for FIC in $(TEMPLATE_FILES) ; do \
		$(INSTALL) -m $(TEMPLATE_MODE) -o $(TEMPLATE_OWNER) -g $(TEMPLATE_GROUP) template/$$FIC $(DESTDIR)$(TEMPLATE_DIR)/`dirname $$FIC` ;\
	done

## bugzilla 3.2.4.0

=== Makefile ===
# Makefile written for the Debian package.
# Based on the Remi Perrot's one, done for 
# the 2.18 release.

# Destination paths
# For a better maintenance, we'll create by hand each
# bugzilla's sub directories.
DESTDIR		= 
BUGZILLA_PERLDIR= $(DESTDIR)/usr/share/perl5
BUGZILLA_CONFIG = $(DESTDIR)/etc/bugzilla3
BUGZILLA_CGIDIR = $(DESTDIR)/usr/lib/cgi-bin/bugzilla3
BUGZILLA_ROOT	= $(DESTDIR)/usr/share/bugzilla3
BUGZILLA_WWW	= $(BUGZILLA_ROOT)/web
BUGZILLA_LIBDIR = $(BUGZILLA_ROOT)
BUGZILLA_DATADIR = $(DESTDIR)/var/lib/bugzilla3
BUGZILLA_CONTRIB= $(BUGZILLA_ROOT)/contrib

PKGVER := $(shell dpkg-parsechangelog |grep Version |sed -e 's,Version: \([^-]\+\).*,\1,g')
ORIGTARGZ := bugzilla_$(PKGVER).orig.tar.gz

# Source paths
cgi_files	= *.cgi
lib_files	= *.pm 
pl_files	= runtests.pl 
lib_perlscripts	= checksetup.pl collectstats.pl email_in.pl importxml.pl mod_perl.pl testserver.pl whineatnews.pl whine.pl
lib_dir		= Bugzilla
static_files	= *.dtd *.txt 

# Where to find the sources.
BUGZILLA_TAR    := $(shell ls -1 bugzilla-?.?.tar.gz bugzilla-?.?.?.tar.gz| head -n 1)
BUGZILLA_TARDIR := $(subst .tar.gz,,$(BUGZILLA_TAR))
BUGZILLA_SRCDIR = bugzilla-srcdir

BUGZILLA_DE = $(shell ls -1 germzilla-*.tar.gz | head -n 1)
BUGZILLA_BE = $(shell ls -1 bugzilla-be-*.tar.gz | head -n 1)
#BUGZILLA_BG = $(shell ls -1 bugzilla-bg-*.tar.gz | head -n 1)
BUGZILLA_FR = $(shell ls -1 bugzilla-*.fr.tar.gz | head -n 1)
BUGZILLA_RU = $(shell ls -1 bugzilla-*-ru-*.tar.gz | head -n 1)
BUGZILLA_CS = $(shell ls -1 bugzilla.cs.*.tar.gz | head -n 1)
BUGZILLA_JA = $(shell ls -1 Bugzilla-ja-*.tar.bz2 | head -n 1)
BUGZILLA_ZH = $(shell ls -1 bugzilla.zh-TW.*.tar.gz | head -n 1)

INSTALL = /usr/bin/install

extractsrc:	$(BUGZILLA_SRCDIR)
$(BUGZILLA_SRCDIR):	$(BUGZILLA_TAR)
	tar -xzf $(BUGZILLA_TAR)
	test -d $(BUGZILLA_TARDIR)
	tar -C $(BUGZILLA_TARDIR)/template -xzf $(BUGZILLA_DE)
	test -d $(BUGZILLA_TARDIR)/template/de
	find $(BUGZILLA_TARDIR)/template/de -name gzversion.html.tmpl -exec cp /dev/null {} \;
	tar -C $(BUGZILLA_TARDIR) -xzf $(BUGZILLA_FR)
	test -d $(BUGZILLA_TARDIR)/template/fr
	: # tar -C $(BUGZILLA_TARDIR) -xzf $(BUGZILLA_BG)
	: # test -d $(BUGZILLA_TARDIR)/template/bg
	tar -C $(BUGZILLA_TARDIR) --transform "s/bugzilla[^\/]\+\///g" -xzf $(BUGZILLA_BE)
	test -d $(BUGZILLA_TARDIR)/template/be
	tar -C $(BUGZILLA_TARDIR) -xzf $(BUGZILLA_RU)
	test -d $(BUGZILLA_TARDIR)/template/ru
	tar -C $(BUGZILLA_TARDIR)/template --transform "s/template/cs/g" -xzf $(BUGZILLA_CS)
	test -d $(BUGZILLA_TARDIR)/template/cs
	$(INSTALL) -d $(BUGZILLA_TARDIR)/template/ja
	tar -C $(BUGZILLA_TARDIR)/template/ja -xjf $(BUGZILLA_JA)
	test -d $(BUGZILLA_TARDIR)/template/ja/default
	tar -C $(BUGZILLA_TARDIR) -xzf $(BUGZILLA_ZH)
	test -d $(BUGZILLA_TARDIR)/template/zh-TW
	find $(BUGZILLA_TARDIR)/template -name "*.tmpl" -exec chmod a-x {} \;
	find $(BUGZILLA_TARDIR)/template -name ".cvsignore" -or -name "CVS" -or -name ".svn" -exec rm {} \;
	mv $(BUGZILLA_TARDIR) $(BUGZILLA_SRCDIR)

install: install_static_dirs install_static_files install_lib_files \
	 install_cgi install_template install_contrib


install_fr_FIXME:	extractsrc
	@echo "Extracting french templates"
	$(INSTALL) -d $(BUGZILLA_ROOT)/template
	tar zxf l10n/fr.tar.gz -C $(BUGZILLA_ROOT)/template 


install_contrib:	extractsrc
	$(INSTALL) -d $(BUGZILLA_CONTRIB)
	$(INSTALL) -m 0755 $(BUGZILLA_SRCDIR)/contrib/recode.pl $(BUGZILLA_CONTRIB)
#	$(INSTALL) -m 0755 $(BUGZILLA_SRCDIR)/contrib/*.pl $(BUGZILLA_CONTRIB)
#	$(INSTALL) -m 0644 $(BUGZILLA_SRCDIR)/contrib/*.pm $(BUGZILLA_CONTRIB)
#	$(INSTALL) -m 0755 $(BUGZILLA_SRCDIR)/contrib/*.py $(BUGZILLA_CONTRIB)
#	$(INSTALL) -m 0644 $(BUGZILLA_SRCDIR)/contrib/README* $(BUGZILLA_CONTRIB)
#	$(INSTALL) -m 0644 $(BUGZILLA_SRCDIR)/contrib/*.html $(BUGZILLA_CONTRIB)
#	$(INSTALL) -m 0755 $(BUGZILLA_SRCDIR)/contrib/*.sh $(BUGZILLA_CONTRIB)
#	$(INSTALL) -m 0755 $(BUGZILLA_SRCDIR)/contrib/*.rb $(BUGZILLA_CONTRIB)
#	$(INSTALL) -d $(BUGZILLA_CONTRIB)/bugzilla-submit
#	cp $(BUGZILLA_SRCDIR)/contrib/bugzilla-submit/* $(BUGZILLA_CONTRIB)/bugzilla-submit
#	$(INSTALL) -d $(BUGZILLA_CONTRIB)/cmdline
#	cp $(BUGZILLA_SRCDIR)/contrib/cmdline/* $(BUGZILLA_CONTRIB)/cmdline
#	$(INSTALL) -d $(BUGZILLA_CONTRIB)/gnatsparse
#	$(INSTALL) -m 0644 $(BUGZILLA_SRCDIR)/contrib/gnatsparse/README $(BUGZILLA_CONTRIB)/gnatsparse
#	$(INSTALL) -m 0755 $(BUGZILLA_SRCDIR)/contrib/gnatsparse/*.py $(BUGZILLA_CONTRIB)/gnatsparse


install_static_dirs:	extractsrc
	@cd $(BUGZILLA_SRCDIR) && for this_dir in `find skins -type d` ; do \
		install -d -m 0755 -o root -g root $(BUGZILLA_WWW)/$$this_dir ;\
	done
	@cd $(BUGZILLA_SRCDIR) && for this_dir in `find js -type d` ; do \
		install -d -m 0755 -o root -g root $(BUGZILLA_WWW)/$$this_dir ;\
	done
	@cd $(BUGZILLA_SRCDIR) && for this_dir in `find data -type d` duplicates webdot; do \
		install -d -m 0755 -o root -g root $(BUGZILLA_DATADIR)/$$this_dir ;\
	done


install_template:	extractsrc
	@cd $(BUGZILLA_SRCDIR) && for this_dir in `find template -type d` ; do \
		install -d -m 0755 -o root -g root $(BUGZILLA_DATADIR)/$$this_dir ;\
	done
	@cd $(BUGZILLA_SRCDIR) && for this_file in `find template -type f` ; do \
		install -m 0644 -o root -g root $$this_file $(BUGZILLA_DATADIR)/`dirname $$this_file` ;\
	done


install_static_files:	extractsrc
	$(INSTALL) -d -m 0755 -o root -g root $(BUGZILLA_DATADIR)
	cd $(BUGZILLA_SRCDIR) && $(INSTALL) -m 0644 -o root -g root $(static_files) $(BUGZILLA_WWW)
	@cd $(BUGZILLA_SRCDIR) && for this_file in `find skins -type f` ; do \
		install -m 0644 -o root -g root $$this_file $(BUGZILLA_WWW)/`dirname $$this_file` ;\
	done
	$(INSTALL) -d -m 0755 -o root -g root $(BUGZILLA_WWW)
	$(INSTALL) -m 0644 -o root -g root $(BUGZILLA_SRCDIR)/images/padlock.png $(BUGZILLA_WWW)
	@cd $(BUGZILLA_SRCDIR) && for this_file in `find js -type f` ; do \
		install -m 0644 -o root -g root $$this_file $(BUGZILLA_WWW)/`dirname $$this_file` ;\
	done
	# The tricky point here, is to leave "params" alone, that's a conffile now 
	# We'll handle it by hand in postinst.
	@cd $(BUGZILLA_SRCDIR) && for this_file in `find data -type f -name '!params'` ; do \
		install -m 0644 -o root -g root $$this_file $(BUGZILLA_DATADIR)/`dirname $$this_file` ;\
	done
	@cd $(BUGZILLA_SRCDIR) && for this_file in `find skins -type f` ; do \
		install -m 0644 -o root -g root $$this_file $(BUGZILLA_WWW)/`dirname $$this_file` ;\
	done


install_lib_files:	extractsrc
	cd $(BUGZILLA_SRCDIR) && $(INSTALL) -m 0644 -o root -g root $(lib_files) $(BUGZILLA_ROOT)
	cd $(BUGZILLA_SRCDIR) && $(INSTALL) -m 0755 -o root -g root $(pl_files) $(BUGZILLA_ROOT)
	$(INSTALL) -d -m 0755 -o root -g root $(BUGZILLA_ROOT)/lib
	cd $(BUGZILLA_SRCDIR) && $(INSTALL) -m 0755 -o root -g root $(lib_perlscripts) $(BUGZILLA_ROOT)/lib
	$(INSTALL) -d -m 0755 -o root -g root $(BUGZILLA_PERLDIR)
	@cd $(BUGZILLA_SRCDIR) && for this_dir in `find $(lib_dir) -type d` ; do \
		install -d -m 0755 -o root -g root $(BUGZILLA_PERLDIR)/$$this_dir ;\
	done
	@cd $(BUGZILLA_SRCDIR) && for this_file in `find $(lib_dir) -type f` ; do \
		install -m 0644 -o root -g root $$this_file $(BUGZILLA_PERLDIR)/`dirname $$this_file` ;\
	done
	$(INSTALL) -d -m 0755 -o root -g root $(BUGZILLA_DATADIR)


install_cgi:	extractsrc
	$(INSTALL) -d -m 0755 -o root -g root $(BUGZILLA_CGIDIR)
	cd $(BUGZILLA_SRCDIR) && $(INSTALL) -m 0755 -o root -g root $(cgi_files) $(BUGZILLA_CGIDIR)


clean:
	rm -rf $(BUGZILLA_TARDIR) $(BUGZILLA_SRCDIR) bugzilla-srcdir

orig:	../$(ORIGTARGZ)
../$(ORIGTARGZ):
	tar -czf ../$(ORIGTARGZ) Makefile *.gz *.bz2

deb:	orig
	dpkg-buildpackage -rfakeroot -us -uc

## bugzilla 3.6.2.0

=== debian/changelog ===
bugzilla (3.6.2.0-3) unstable; urgency=low

  * [Debconf translation updates]
    - Spanish (Francisco Javier Cuadrado). Closes: #594766, #595230
    - German (Helge Kreutzmann). Closes: #595186
    - French (Christian Perrier). Closes: #594929
    - Russian (Yuri Kozlov). Closes: #595261
    - Czeck (Michal Simunek). Closes: #595277
    - Swedish (Martin Bagge). Closes: #595350
    - Italian (Vincenzo Campanella).
    - Danish (Joe Dalton). Closes: #595383
    - Basque (Iñaki Larrañaga Murgoitio).
    - Brazilian Portuguese (Adriano Rafael Gomes). Closes: #596436
    - Portuguese (Miguel Figueiredo). Closes: #596279

 -- Raphael Bossek <bossekr@debian.org>  Thu, 02 Sep 2010 09:48:42 +0200

bugzilla (3.6.2.0-2) unstable; urgency=low

  * Check for Bugzilla password length added; at least 6 characters are
    required. LP: #623416
  * Fixed build process of Bugzilla package; added missing executable bit for
    debian/create-bugzilla-srcdir script. Closes: #593022
  * [Debconf translation updates]
    - German (Helge Kreutzmann). Closes: #592901
    - Czech (Michal Simunek). Closes: #593206
    - Russian (Yuri Kozlov). Closes: #593906
    - Swedish (Martin Bagge). Closes: #594081
    - French (Christian Perrier). Closes: #594308

 -- Raphael Bossek <bossekr@debian.org>  Thu, 26 Aug 2010 07:36:26 +0200

bugzilla (3.6.2.0-1) unstable; urgency=low

  * New upstream release. Closes: #592212
  * Increased Standards-Version to 3.9.1; no changes.
  * Due to tons of bug reports with missconfigured database server environment
    I've disabled the DB check at installation time ($db_check=0) and added
    more code to handle database connect errors at installation/configuration
    time.
    LP: #584827, #546954, #584819
  * Bugzilla will be disabled if configuration/installation failes.
    Closes: #557357
  * [Debconf translation updates]
    - Czech (Slavko). Closes: #591943
    - Swedish (Martin Bagge). Closes: #592036
    - Portuguese. Closes: #592160

 -- Raphael Bossek <bossekr@debian.org>  Sun, 08 Aug 2010 15:38:06 +0200

bugzilla (3.6.1.0-0.1) experimental; urgency=low

  * New upstream release.

 -- Raphael Bossek <bossekr@debian.org>  Sun, 18 Jul 2010 22:33:21 +0200

bugzilla (3.4.7.0-3) unstable; urgency=low

  * Fixed permissions on /usr/share/perl5/Bugzilla for old installations.
    Closes: #571107
  * Fixed access rights for /etc/bugzilla3/localconfig. Closes: #571107
  * Using database administrator account to run sanitycheck.pl from daily cron
    job; maintainer field is not used anymore. Closes: #560140
  * [Debconf translation updates]
    - Czech (Jan Outrata). Closes: #590084
    - Japanese (Hideki Yamane). Closes: #590228
    - Portuguese (Miguel Figueiredo). Closes: #590187

 -- Raphael Bossek <bossekr@debian.org>  Tue, 03 Aug 2010 15:17:46 +0200

bugzilla (3.4.7.0-2) unstable; urgency=low

  * Add missing package dependency on libdatetime-perl.
    Closes: #589914, #589912
  * [Debconf translation updates]
    - Russian (Yuri Kozlov). Closes: #589336
    - French (Christian Perrier). Closes: #589374
    - Czech (typo in filename).
    - Finnish (typo in filename).
    - Japanese (typo in filename).
    - Dutch (typo in filename).
    - Portuguese (typo in filename).
    - Swedish (Martin Bagge). Closes: #589629
    - Ukrainian (typo in filename).
    - Vietnamese (type in filename).
    - German (Helge Kreutzmann). Closes: #589668

 -- Raphael Bossek <bossekr@debian.org>  Sun, 18 Jul 2010 05:23:36 +0200

bugzilla (3.4.7.0-1) unstable; urgency=medium

  * New upstream release. Closes: #544367 LP: #415451
  * Security fixes CVE-2010-1204 CVE-2010-0180; set urgency to medium.
    Closes: #587663
  * Fixed typo. Closes: #568110, #576350
  * Fixed translations. Closes: #561518, #561517
  * Increased Standards-Version to 3.9.0; no changes.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Raphael Bossek <bossekr@debian.org>  Tue, 13 Jul 2010 14:56:34 +0200

bugzilla (3.2.5.1-2) unstable; urgency=low

  * Fixed dash compatibility within ../bugzilla3/lib/checksetup.pl.
    Closes: #558238

 -- Raphael Bossek <bossekr@debian.org>  Sun, 29 Nov 2009 13:56:03 +0100

bugzilla (3.2.5.1-1) unstable; urgency=low

  * Do not change user/group and modes within /etc/cron.daily/bugzilla3. This
    scripts are started with www-data user and the files are created with the
    same security level. Closes: #556408
  * Fixed post-checksetup.d/15restoredpkgstatoverride script. Closes: #557243
  * Execute daily /usr/share/bugzilla3/lib/whine.pl.
  * Surrpress stdout of whineatnews.pl and whine.pl in cron.daily/bugzilla3.
  * If a configuration variable is missing in /etc/bugzilla3/localconfig the
    upgrade fails; /etc/bugzilla3/params is not created and checksetup.pl
    exit. LP: #419826 Closes: #557289, #538289
  * Deconfigure dbcommon-config created database. Closes: #557361
  * Added BG langauge pack.
  * Scripts exit with error code where an error occured.
  * Fixed/Added usage of dbconfig-common prerm scripts.
  * Removed obsolate sym-link usr/lib/cgi-bin/bugzilla3/webdot.

 -- Raphael Bossek <bossekr@debian.org>  Tue, 24 Nov 2009 08:41:13 +0100

bugzilla (3.2.5.0-2) unstable; urgency=low

  * Restored /usr/share/bugzilla3/debian directory; it's not a file.
    Installation of the package from scratch failed.
    Closes: #555418
  * Improved processing with dbconfig-common in case of missing access rights
    to the database. Closes: #532753
  * Dependency graph URL fixed. Closes: #555198
  * Fixed dependencies on libemail-mime-perl. Closes: #555800
  * (Ubuntu) Suppress output of users/passwords. LP: #415500
  * (Ubuntu) Installation procedure improved/fixed. LP: #419826
  * Debconf translation updates
    - Italian (Vincenzo Campanella) Closes: #556093
  * Removed unnecessary rewrite rules from README.Debian. Closes: #555306
  * Fixed default index.html file with refresh to /bugzilla3/index.cgi
  * Add the compleate contrib content to /usr/share/bugzilla3/contrib.


=== debian/control ===
Source: bugzilla
Section: web
Priority: optional
Maintainer: Raphael Bossek <bossekr@debian.org>
Build-Depends: po-debconf, debhelper (>= 7.0.50), python-central (>= 0.5), quilt (>= 0.46-7~), fakeroot, gettext
Build-Depends-Indep: debconf (>= 0.9.95) | debconf-2.0
XS-Python-Version: all
Standards-Version: 3.9.1

Package: bugzilla3
Architecture: all
Section: web
Homepage: http://www.bugzilla.org
Depends: debconf (>= 0.9.95), 
         libtemplate-perl (>= 2.22),
         libappconfig-perl (>= 1.56-2),
         libtimedate-perl (>= 1.1600-9),
         libdatetime-perl,
         libdatetime-timezone-perl (>= 0.71-1),
         libemail-send-perl (>= 2.192-1),
         libmail-sendmail-perl,
         libemail-mime-perl (>= 1.901) | libemail-mime-modifier-perl (>= 1.442-2),
         libemail-mime-perl (>= 1.901) | libemail-mime-creator-perl,
         libcgi-pm-perl (>= 3.33),
         libdbd-mysql-perl (>= 1.56-2) | libdbd-pg-perl, 
         apache2 | httpd,
         exim4 | mail-transport-agent,
         ucf (>= 0.08), patch, dbconfig-common (>= 1.8.27),
         mysql-client | postgresql-client,
         libjs-yui,
         ${misc:Depends}
Suggests: bugzilla3-doc,
          libnet-ldap-perl,
          libgd-text-perl,
          libgd-graph-perl, libgd-gd2-perl | libgd-noxpm-perl,
          libmailtools-perl (>= 1.77-1),
          libmime-tools-perl (>= 5.425-2),
          libhtml-parser-perl,
          libhtml-scrubber-perl,
          libxml-twig-perl,
          libauthen-radius-perl,
          graphviz,
          libsoap-lite-perl,
          patchutils,
          libwww-perl,
          ${python:Depends},
          ruby
Recommends: libchart-perl (>= 0.99c.pre3-0.1),
            libtemplate-plugin-gd-perl,
            libxml-parser-perl,
            perlmagick,
            mysql-server | postgresql,
            cvs,
            imagemagick
Conflicts: bugzilla (<< 3.0.0)
Replaces: bugzilla (<< 3.0.0)
XB-Python-Version: ${python:Versions}
Description: web-based bug tracking system
 Bugzilla is a Bug Tracking System accessible through a web interface,
 with which you can:
  * report bugs;
  * assign bugs to the appropriate developers;
  * prioritize bugs;
  * set bug dependencies;
  * arrange bugs by product and component.
 It can also be used as a todo list manager.
 .
 This package provides a web application that lets users make and look
 up bug reports. Interested users are automatically informed about
 changes to a bug's status.

Package: bugzilla3-doc
Section: doc
Architecture: all
Suggests: bugzilla3
Depends: ${misc:Depends}
Homepage: http://www.bugzilla.org
XB-Python-Version: ${python:Versions}
Description: comprehensive guide to Bugzilla
 The Bugzilla Guide is a document (in ASCII text, HTML, and SGML format)
 discussing Bugzilla administration, maintenance, and use.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

INSTALL = /usr/bin/install
LN_S = ln -s
RM_RF = rm -rf
BUGZILLA_SRCDIR := $(CURDIR)/bugzilla-srcdir

# Make sure it's the same in
# + debian/rules
# + debian/Makefile
# + maintenance/checksetup_debian.sh
# + debian/bugzilla3.{pre,post}{inst,rm}
export BUGZILLA_PKGDIR := $(CURDIR)/debian/bugzilla3
export BUGZILLA_ETCDIR := $(BUGZILLA_PKGDIR)/etc/bugzilla3
export BUGZILLA_VARDIR := $(BUGZILLA_PKGDIR)/var/lib/bugzilla3
export BUGZILLA_DATADIR := $(BUGZILLA_VARDIR)/data
export BUGZILLA_SHAREDIR := $(BUGZILLA_PKGDIR)/usr/share/bugzilla3
export BUGZILLA_WEBDIR := $(BUGZILLA_PKGDIR)/usr/share/bugzilla3/web
export BUGZILLA_CONTRIBDIR := $(BUGZILLA_SHAREDIR)/contrib
export BUGZILLA_TEMPLATEDIR := $(BUGZILLA_VARDIR)/template
export BUGZILLA_COMPILEDTEMPLATEDIR := $(BUGZILLA_DATADIR)/template
export BUGZILLA_EXTENSIONSDIR := $(BUGZILLA_VARDIR)/extensions

%:
	dh --with quilt --sourcedirectory=$(BUGZILLA_SRCDIR) $@

override_dh_auto_configure:
	$(MAKE) -f debian/Makefile extractsrc
	set -e; for i in $(CURDIR)/debian/maintenance/??_*.sh; do chmod a+x $$i; $$i $(BUGZILLA_SRCDIR); chmod a-x $$i; done

override_dh_auto_clean:
	chmod a-x $(CURDIR)/debian/maintenance/*.sh
	$(MAKE) -f debian/Makefile clean
	debconf-updatepo
	set -e; LANG=C; for f in $(CURDIR)/debian/po/*.po; do \
		msgfmt -o /dev/null --statistics $$f 2>&1 | grep -q "fuzzy\|untrans" || continue; \
		echo "Incompleate translation in $$f"; \
	done

override_dh_auto_install:
	# Work in progress
	# building the -fr package
	$(MAKE) -f debian/Makefile install CURDIR=$(CURDIR)
	# We install our debian helpers
	$(INSTALL) -d -m 0755 -o root -g root $(CURDIR)/debian/bugzilla3/etc/bugzilla3/pre-checksetup.d
	cd $(CURDIR)/debian/pre-checksetup.d && for f in *; do \
		$(INSTALL) -m 0755 -o root -g root $$f $(CURDIR)/debian/bugzilla3/etc/bugzilla3/pre-checksetup.d/$$f; \
	done
	$(INSTALL) -d -m 0755 -o root -g root $(CURDIR)/debian/bugzilla3/etc/bugzilla3/post-checksetup.d
	cd $(CURDIR)/debian/post-checksetup.d && for f in *; do \
		$(INSTALL) -m 0755 -o root -g root $$f $(CURDIR)/debian/bugzilla3/etc/bugzilla3/post-checksetup.d/$$f; \
	done
	$(INSTALL) -d -m 0755 -o root -g root $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/debian
	$(INSTALL)    -m 0644 -o root -g root debian/default-files/params $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/debian
	$(INSTALL)    -m 0644 -o root -g root debian/default-files/localconfig $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/debian
	# Installing exemples 
	$(INSTALL) -d -m 0755 -o root -g root $(CURDIR)/debian/bugzilla3/usr/share/doc/bugzilla3/examples
	$(INSTALL)    -m 0755 -o root -g root debian/examples/*.sh $(CURDIR)/debian/bugzilla3/usr/share/doc/bugzilla3/examples
	$(INSTALL)    -m 0644 -o root -g root debian/examples/*.conf $(CURDIR)/debian/bugzilla3/usr/share/doc/bugzilla3/examples
	# Install default configuration files
	$(INSTALL) -d -m 0755 -o root -g root $(CURDIR)/debian/bugzilla3/etc/bugzilla3
	$(INSTALL) -m 0644 -o root -g root debian/default-files/index.html $(CURDIR)/debian/bugzilla3/etc/bugzilla3
	# preparing the vhost conf dir
	$(INSTALL) -d -m 0755 -o root -g root $(CURDIR)/debian/bugzilla3/etc/bugzilla3/sites
	# replace checksetup.pl script by Debian modification
	mv $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/lib/checksetup.pl $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/lib/checksetup_nondebian.pl
	$(INSTALL)    -m 0755 -o root -g root $(CURDIR)/debian/maintenance/checksetup_debian.sh $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/lib/checksetup.pl
	# use YUI (Yahoo User Interface Library) package instead of bugzilla's version
	sh $(CURDIR)/debian/post-checksetup.d/55localyui
	# some lintian overrides
	#$(INSTALL) -d $(CURDIR)/debian/bugzilla3/usr/share/lintian/overrides
	#$(INSTALL)    -m 0644 debian/bugzilla3.lintian $(CURDIR)/debian/bugzilla3/usr/share/lintian/overrides/bugzilla3
	# added support for reportbug
	#$(INSTALL) -d $(CURDIR)/debian/bugzilla3/usr/share/bug
	#$(INSTALL) -m 0755 -o root -g root $(CURDIR)/debian/maintenance/reportbug.sh $(CURDIR)/debian/bugzilla3/usr/share/bug/bugzilla3
	# Additional tools
	$(INSTALL)    -m 755 -o root -g root $(CURDIR)/debian/maintenance/bugzparam $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/contrib/bugzparam

# http://www.debian.org/doc/developers-reference/best-pkging-practices.html#s6.5.2
maintainer_translate:
	debconf-updatepo
	cd debian/po && podebconf-report-po --call --languageteam --withtranslators --deadline="+10 days"

## bugzilla 3.6.3.0

=== debian/changelog ===
bugzilla (3.6.3.0-2) unstable; urgency=medium

  * Support for noninteractive mode in Debconf. Closes: #602738
  * Added missing package dependency against liburi-perl. Removed non exsiting
    package option libgd-noxpm-perl.
  * Urgency set to medium because previous version is not accepted for
    testing.
  * Parallel build for Makefiles is working now.
  * Surrpress error messages for non existing template directories if
    checksetup fails (in noninteractive mode).
  * Extensions are not installed by default. They exist as documentation.

 -- Raphael Bossek <bossekr@debian.org>  Sat, 20 Nov 2010 05:51:25 +0100

bugzilla (3.6.3.0-1) unstable; urgency=medium

  * New upstream release. Closes: #602420
  * Fixed vulnerability CVE-2010-3172:
    By inserting a certain string into a URL, it was possible
    to inject both headers and content to any browser that
    supported "Server Push" (mostly only Gecko-based browsers
    like Firefox). This could lead to Cross-Site Scripting
    vulnerabilities, and possibly other more dangerous security
    issues as well.
  * Fixed vulnerability CVE-2010-3764:
    The Old Charts system generated graphs with
    predictable names into the "graphs/" directory,
    which also could be browsed to see its contents.
    This allowed unauthorized users to see product
    names and charted information about those
    products over time.
  * Fixed references to YUI components used by language templates.
  * Fixed missing images.
  * Surrpress error messages at installation stage.

 -- Raphael Bossek <bossekr@debian.org>  Mon, 15 Nov 2010 10:09:20 +0100

bugzilla (3.6.2.0-4) unstable; urgency=low

  * Upgrade from Lenny to Squeeze fixed. Closes: #600170
  * Password may contain special charactres. Closes: #594583
  * Suppress cron messages for non existing directories. Closes: #595489
  * Suppress Germzilla (German translation) version warning.
  * [Debconf translation updates]
    - Vietnamese (Clytie Siddall) Closes: #598479

 -- Raphael Bossek <bossekr@debian.org>  Wed, 27 Oct 2010 16:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
          libmail-sendmail-perl,
          libemail-mime-perl (>= 1.901) | libemail-mime-modifier-perl (>= 1.442-2),
          libemail-mime-perl (>= 1.901) | libemail-mime-creator-perl,
+         liburi-perl,
          libcgi-pm-perl (>= 3.33),
          libdbd-mysql-perl (>= 1.56-2) | libdbd-pg-perl, 
          apache2 | httpd,
@@ -28,11 +29,12 @@
          ucf (>= 0.08), patch, dbconfig-common (>= 1.8.27),
          mysql-client | postgresql-client,
          libjs-yui,
+         ${python:Depends},
          ${misc:Depends}
 Suggests: bugzilla3-doc,
           libnet-ldap-perl,
           libgd-text-perl,
-          libgd-graph-perl, libgd-gd2-perl | libgd-noxpm-perl,
+          libgd-graph-perl, libgd-gd2-perl,
           libmailtools-perl (>= 1.77-1),
           libmime-tools-perl (>= 5.425-2),
           libhtml-parser-perl,
@@ -43,7 +45,6 @@
           libsoap-lite-perl,
           patchutils,
           libwww-perl,
-          ${python:Depends},
           ruby
 Recommends: libchart-perl (>= 0.99c.pre3-0.1),
             libtemplate-plugin-gd-perl,

=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,57 @@
 export BUGZILLA_COMPILEDTEMPLATEDIR := $(BUGZILLA_DATADIR)/template
 export BUGZILLA_EXTENSIONSDIR := $(BUGZILLA_VARDIR)/extensions
 
+V1 := $(shell dpkg-parsechangelog |grep-dctrl -s "Version" -n -|sed -e 's,\.[[:digit:]]\.[[:digit:]]\+-[[:digit:]]\+.*,,g')
+V2 := $(shell dpkg-parsechangelog |grep-dctrl -s "Version" -n -|sed -e 's,\.[[:digit:]]\+-[[:digit:]]\+.*,,g')
+
+
+help:
+	@echo "Dear maintainer. This debian/rules-file supports you in maintaining Bugzilla package."
+	@echo "Following options exists:"
+	@echo "  ./debian/rules maintainer_translate -- Developer's Reference Section 6.5.2 requests, contact translators"
+	@echo "  ./debian/rules maintainer_fixpatch -- Help maintain debian/maintenance/*.sh patch files; set the STOPATPATCH environment variable e.g. to 30_exit1onerror.sh in order to fix this patch."
+	@echo "  ./debian/rules maintainer_updateja -- Update Japanese $(V2) translation from SVN to a tarball."
+
+# http://www.debian.org/doc/developers-reference/best-pkging-practices.html#s6.5.2
+maintainer_translate:
+	debconf-updatepo
+	cd debian/po && podebconf-report-po --call --languageteam --withtranslators --deadline="+10 days"
+
+maintainer_fixpatch:
+	test ! -e bugzilla-srcdir.orig
+	test -e "$(CURDIR)/debian/maintenance/$$STOPATPATCH"
+	$(MAKE) -f debian/rules clean
+	BUGZILLA_STOPATPATCH="$(CURDIR)/debian/maintenance/$$STOPATPATCH" $(MAKE) -f debian/rules override_dh_auto_configure
+	mv bugzilla-srcdir bugzilla-srcdir.orig
+	$(MAKE) -f debian/rules override_dh_auto_configure
+	@echo "Start fixing rejected files in bugzilla-srcdir directory followed by"
+	@echo "  $$ find bugzilla-src -name "*.rej" -or -name "*.orig" -exec rm {} \;"
+	@echo "  $$ (sed -n 'N;/^\n$$/q;P;D' $(CURDIR)/debian/maintenance/$$STOPATPATCH; diff -Naur bugzilla-srcdir.orig bugzilla-srcdir) > new.sh"
+	@echo "Check the new.sh script. If it's ok for you"
+	@echo "  $$ mv -f new.sh $(CURDIR)/debian/maintenance/$$STOPATPATCH"
+	@echo "  $$ rm -rf bugzilla-srcdir.orig"
+
+maintainer_updateja:	bugzilla-ja-$(V2).tar.bz2
+bugzilla-ja-$(V2).tar.bz2:
+	svn checkout "http://svn.bug-ja.org/bugzilla/bugzilla-l10n-ja-$(V1)/tags/$(V2)-ja"
+	test -d "$(V2)-ja/template/ja"
+	tar -C "$(V2)-ja/template" --exclude "^\.svn\$$" --owner 0 --group 0 -cjf bugzilla-ja-$(V2).tar.bz2 "ja"
+	rm -rf "$(V2)-ja"
+
 %:
 	dh --with quilt --sourcedirectory=$(BUGZILLA_SRCDIR) $@
 
 override_dh_auto_configure:
 	$(MAKE) -f debian/Makefile extractsrc
-	set -e; for i in $(CURDIR)/debian/maintenance/??_*.sh; do chmod a+x $$i; $$i $(BUGZILLA_SRCDIR); chmod a-x $$i; done
+	set -e; for i in $(CURDIR)/debian/maintenance/??_*.sh; do \
+		test "$$BUGZILLA_STOPATPATCH" = "$$i" && exit 0; \
+		chmod a+x $$i; \
+		$$i $(BUGZILLA_SRCDIR); \
+		chmod a-x $$i; \
+	done
 
 override_dh_auto_clean:
+	test ! -e bugzilla-srcdir.orig
 	chmod a-x $(CURDIR)/debian/maintenance/*.sh
 	$(MAKE) -f debian/Makefile clean
 	debconf-updatepo
@@ -76,17 +119,11 @@
 	$(INSTALL)    -m 0755 -o root -g root $(CURDIR)/debian/maintenance/checksetup_debian.sh $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/lib/checksetup.pl
 	# use YUI (Yahoo User Interface Library) package instead of bugzilla's version
 	sh $(CURDIR)/debian/post-checksetup.d/55localyui
-	# some lintian overrides
-	#$(INSTALL) -d $(CURDIR)/debian/bugzilla3/usr/share/lintian/overrides
-	#$(INSTALL)    -m 0644 debian/bugzilla3.lintian $(CURDIR)/debian/bugzilla3/usr/share/lintian/overrides/bugzilla3
 	# added support for reportbug
 	#$(INSTALL) -d $(CURDIR)/debian/bugzilla3/usr/share/bug
 	#$(INSTALL) -m 0755 -o root -g root $(CURDIR)/debian/maintenance/reportbug.sh $(CURDIR)/debian/bugzilla3/usr/share/bug/bugzilla3
 	# Additional tools
 	$(INSTALL)    -m 755 -o root -g root $(CURDIR)/debian/maintenance/bugzparam $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/contrib/bugzparam
+	$(INSTALL)    -m 755 -o root -g root $(CURDIR)/debian/maintenance/dumpanswerfile $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/contrib/dumpanswerfile
 
-# http://www.debian.org/doc/developers-reference/best-pkging-practices.html#s6.5.2
-maintainer_translate:
-	debconf-updatepo
-	cd debian/po && podebconf-report-po --call --languageteam --withtranslators --deadline="+10 days"
-
+.PHONY:	help maintainer_translate maintainer_fixpatch maintainer_updateja
